<?php

namespace CouponsPlus\App\Coupon\Tree\Offeritemssetfilters;

use CouponsPlus\App\Conditions\ItemsSet;
use CouponsPlus\App\Coupon\Tree\Abilities\WithIdentifier;
use CouponsPlus\App\Coupon\Tree\Offeritemssetfilters\Abilities\FilterableOfferItems;
use CouponsPlus\App\Offers\BuiltIn\Discount;
use CouponsPlus\Original\Characters\StringManager;
use CouponsPlus\Original\Collections\MappedObject;

class PassThroughItemsFilter implements WithIdentifier, FilterableOfferItems
{
    private $identifier;

    public function __construct(string $identifier)
    {
        $this->identifier = $identifier;
    } 

    public function getIdentifier(): StringManager
    {
        return new StringManager($this->identifier);
    } 

    public function filterSet(MappedObject $options, ItemsSet $itemsSet): ItemsSet
    {
        return $itemsSet;
    }
}